Bug 1480 - grid credential string representation is different from the original
: grid credential string representation is different from the original
Status: RESOLVED FIXED
: CoG jglobus
security
: 1.1
: PC Linux
: P2 normal
: ---
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2003-12-30 15:44 by
Modified: 2005-12-05 17:10 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-12-30 15:44:46
summary:
/DC=org/DC=doegrids/OU=People/CN=Eric H. Neilsen, Jr. 886417
becomes
DC=org/DC=doegrids/OU=People/CN=Eric H. Neilsen/Jr. 886417

details:
User connects to the service via gsi socket with a proxy created for the
certificate with DN="/DC=org/DC=doegrids/OU=People/CN=Eric H. Neilsen, Jr. 886417"
Authentication goes throuhg and the result credential on the server side
(instance of GSSCredential) has a name (as returned by GSSCredential.getName()
"/DC=org/DC=doegrids/OU=People/CN=Eric H. Neilsen/Jr. 886417".
As a result authorization step fails.
------- Comment #1 From 2004-01-01 22:04:38 -------
A fix was committed to cvs.